#
# spec file for package evince (Version 0.4.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel ghostscript-fonts-std ghostscript-library ghostscript-x11 glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-doc-utils gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libgimpprint libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libnscd libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libxml2-python libxslt libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig poppler poppler-devel poppler-glib popt popt-devel procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline resmgr rpm scrollkeeper sed shared-mime-info strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           evince
BuildRequires:  ghostscript-fonts-std ghostscript-x11 gnome-doc-utils gnutls-devel libglade2-devel libgnomeprintui-devel libgnomeui-devel libtiff-devel libwnck-devel mDNSResponder-devel perl-XML-Parser poppler-devel poppler-glib scrollkeeper update-desktop-files
Version:        0.4.0
Release:        25.2
URL:            http://www.gnome.org/projects/evince/
Group:          System/GUI/GNOME
License:        GPL
Summary:        GNOME Document Viewer
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.4/%{name}-%{version}.tar.bz2
Patch0:         %{name}-desktop.patch
Patch1:         %{name}-dbus_0.60.patch
Autoreqprov:    on
Requires:       gnome-icon-theme
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Evince is a document viewer capable of displaying multiple and single
page document formats like PDF and Postscript. For more general
information about Evince, visit the project Web site at
http://www.gnome.org/projects/evince/.



Authors:
--------
    copyright 1996-2003 Glyph & Cog, LLC.
    Martin Kretzschmar <m_kretzschmar@gmx.net>
    Marco Pesenti Gritti <marco@gnome.org>
    Jonathan Blandford <jrb@gnome.org>

%debug_package
%prep
%setup
%patch0
%patch1
sed -i 's/^\(ALL_LINGUAS=.* \)no /\1/' configure.ac configure
rm po/no.*

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure\
	--prefix=/opt/gnome\
	--sysconfdir=/etc/opt/gnome\
	--localstatedir=/var/opt/gnome\
	--libdir=/opt/gnome/%{_lib}\
        --disable-scrollkeeper
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}
%suse_update_desktop_file -N Evince evince

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/evince-thumbnailer.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/evince.schemas >/dev/null

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
/etc/opt/gnome/gconf/schemas/evince-thumbnailer.schemas
/etc/opt/gnome/gconf/schemas/evince.schemas
/opt/gnome/bin/*
/opt/gnome/share/applications/*.desktop
/opt/gnome/share/evince
/opt/gnome/share/omf/*

%changelog -n evince
* Mon Feb 20 2006 - thoenig@suse.de
- Backport fix from Evince CVS to honor API changes of D-BUS 0.60
  (closes #151512)
* Fri Feb 17 2006 - sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 - sbrabec@suse.cz
- Removed libpixman from neededforbuild.
* Wed Nov 09 2005 - sbrabec@suse.cz
- Enabled D-BUS support.
- Update desktop file.
* Wed Nov 09 2005 - sbrabec@suse.cz
- Show evince in menu (#132746).
* Fri Sep 02 2005 - gekker@suse.de
- Update to version 0.4.0
* Thu Aug 18 2005 - gekker@suse.de
- Update to version 0.3.4
- Put evince in correct desktop category
* Thu Jul 21 2005 - gekker@suse.de
- Update to version 0.3.2
* Tue May 24 2005 - sbrabec@suse.cz
- Updated to version 0.3.1.
* Mon May 09 2005 - sbrabec@suse.cz
- New SuSE package, version 0.3.0.
